/*
 * garcia_fpga_priv.h
 *
 *  Created on: Jan 25, 2011
 *      Author: swagner
 */

#ifndef GARCIA_FPGA_PRIV_H_
#define GARCIA_FPGA_PRIV_H_
#ifndef BIT
#define BIT(x) (1 << (x))
#endif

#define GARCIA_FPGA_GPIO_REGISTER 0

#define GARCIA_FPGA_GPIO_BOX_ID_MASK 0x7
#define GARCIA_FPGA_GPIO_PUSHBUTTON BIT(3)
#define GARCIA_FPGA_GPIO_PWRFAIL BIT(4)
#define GARCIA_FPGA_GPIO_JUMPER_1 BIT(5)
#define GARCIA_FPGA_GPIO_JUMPER_2 BIT(6)
#define GARCIA_FPGA_GPIO_DEBUG_0 BIT(7)
#define GARCIA_FPGA_GPIO_DEBUG_1 BIT(8)
#define GARCIA_FPGA_GPIO_DEBUG_2 BIT(9)
#define GARCIA_FPGA_GPIO_DEBUG_3 BIT(10)
#define GARCIA_FPGA_GPIO_SLOT_MUTE_1 BIT(11)
#define GARCIA_FPGA_GPIO_SLOT_RESET_1 BIT(12)
#define GARCIA_FPGA_GPIO_SLOT_MUTE_2 BIT(13)
#define GARCIA_FPGA_GPIO_SLOT_RESET_2 BIT(14)
#define GARCIA_FPGA_GPIO_SLOT_MUTE_3 BIT(15)
#define GARCIA_FPGA_GPIO_SLOT_RESET_3 BIT(16)
#define GARCIA_FPGA_GPIO_SLOT_MUTE_4 BIT(17)
#define GARCIA_FPGA_GPIO_SLOT_RESET_4 BIT(18)
#define GARCIA_FPGA_GPIO_SLOT_MUTE_5 BIT(19)
#define GARCIA_FPGA_GPIO_SLOT_RESET_5 BIT(19)

#define GARCIA_FPGA_POWER_LED_A BIT(0)
#define GARCIA_FPGA_POWER_LED_B BIT(1)
#define GARCIA_FPGA_STATUS_LED_A BIT(2)
#define GARCIA_FPGA_STATUS_LED_B BIT(3)
#define GARCIA_FPGA_SLOT_BUF_OE BIT(4)
#define GARCIA_FPGA_SLOT_SSI_DDIR_1 BIT(5)
#define GARCIA_FPGA_SLOT_SSI_DDIR_2 BIT(6)
#define GARCIA_FPGA_SLOT_SSI_DDIR_3 BIT(7)
#define GARCIA_FPGA_SLOT_SSI_DDIR_4 BIT(8)
#define GARCIA_FPGA_SLOT_SSI_DDIR_5 BIT(9)
#define GARCIA_FPGA_GENERAL_DIR BIT(10)

#define GARCIA_GPIO_RW_MASK ( \
	GARCIA_FPGA_GPIO_SLOT_MUTE_1 | GARCIA_FPGA_GPIO_SLOT_RESET_1 | \
	GARCIA_FPGA_GPIO_SLOT_MUTE_2 | GARCIA_FPGA_GPIO_SLOT_RESET_2 | \
	GARCIA_FPGA_GPIO_SLOT_MUTE_3 | GARCIA_FPGA_GPIO_SLOT_RESET_3 | \
	GARCIA_FPGA_GPIO_SLOT_MUTE_4 | GARCIA_FPGA_GPIO_SLOT_RESET_4 | \
	GARCIA_FPGA_GPIO_SLOT_MUTE_5 | GARCIA_FPGA_GPIO_SLOT_RESET_5 )

#endif /* GARCIA_FPGA_PRIV_H_ */
